package com.bonus.canteen.core.notice.print.v2.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class NoticePrintSceneTemplateDTO {
   @ApiModelProperty("打印机类型（1:小票，2:标签）")
   private @NotNull(
   message = "{notice_print_device_type_is_null}"
) Integer deviceType;

   public Integer getDeviceType() {
      return this.deviceType;
   }

   public void setDeviceType(final Integer deviceType) {
      this.deviceType = deviceType;
   }

}
